### Hierarchy

- TextIterator

## Index

### Properties

- ch
- chunk
- cursor
- line
- sliceBegin

### Methods

- currentChar
- currentCharCode
- feedChunk
- getCh
- getLine
- getSlice
- hasNext
- markSliceBegin
- nextChar
- nextCharCode

## Properties

### Private ch

ch: number = 1

- Defined in TextIterator.ts:5

### Private chunk

chunk: string = ""

- Defined in TextIterator.ts:3

### Private cursor

cursor: number = 0

- Defined in TextIterator.ts:2

### Private line

line: number = 1

- Defined in TextIterator.ts:4

### Private sliceBegin

sliceBegin: number = 0

- Defined in TextIterator.ts:6

## Methods

### currentChar

- currentChar(): string

- - Defined in TextIterator.ts:40

  #### Returns string

### currentCharCode

- currentCharCode(): number

- - Defined in TextIterator.ts:44

  #### Returns number

### feedChunk

- feedChunk(chunk: string): void

- - Defined in TextIterator.ts:8

  #### Parameters

  - ##### chunk: string

  #### Returns void

### getCh

- getCh(): number

- - Defined in TextIterator.ts:60

  #### Returns number

### getLine

- getLine(): number

- - Defined in TextIterator.ts:56

  #### Returns number

### getSlice

- getSlice(): string

- - Defined in TextIterator.ts:22

  #### Returns string

### hasNext

- hasNext(): boolean

- - Defined in TextIterator.ts:52

  #### Returns boolean

### markSliceBegin

- markSliceBegin(): void

- - Defined in TextIterator.ts:18

  #### Returns void

### nextChar

- nextChar(): string

- - Defined in TextIterator.ts:26

  #### Returns string

### nextCharCode

- nextCharCode(): number

- - Defined in TextIterator.ts:48

  #### Returns number

Generated using TypeDoc